%define name    AutoScan
%define version 0.99
%define release %mkrel 5

Name:           %{name} 
Summary:        Utility for network exploration (Samba,Nessus client)
Version:        %{version} 
Release: 	%{release}
Source0:        http://autoscan.free.fr/%{name}-%{version}_SOURCES.tar.bz2
URL:            http://autoscan.free.fr
Group:		Networking/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL
BuildRequires:  libsmbclient-devel
BuildRequires:  gnomeui2-devel
BuildRequires:  libxml2-devel
BuildRequires:  libgnome-devel
BuildRequires:  zvt-devel
BuildRequires:  openssl-devel
BuildRequires:	libao-devel
BuildRequires:	libvorbis-devel
BuildRequires:	net-snmp-devel
BuildRequires:  libtool
Requires:       samba-client
Requires:       mozilla-firefox

%description
AutoScan is an application designed to explore and to manage your network. 
Entire subnets can be scanned simultaneously without human intervention. 
It features OS detection, automatic network discovery, a port scanner, 
a Samba share browser, and the ability to save the network state.

%prep  

%setup -q

%build
cd Sources/AutoScan/
./autogen.sh
%configure
%make
cd ../AutoScan_Agent/
./autogen.sh
%configure
%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/doc/%{name}
install -d %{buildroot}%{_datadir}/pixmaps/%{name}
install -d %{buildroot}%{_datadir}/sounds/%{name}
install -d %{buildroot}%{_datadir}/apps/%{name}
install -d %{buildroot}%{_menudir}
install -d %{buildroot}/%_sbindir
install -d %{buildroot}%{_iconsdir}

install -m 755 Sources/AutoScan/src/AutoScan_Network\
 Sources/AutoScan_Agent/src/AutoScan_Agent %{buildroot}/%_sbindir
install -m 644 Data/apps/AutoScan/* %{buildroot}%{_datadir}/apps/%{name}
chmod -R 644 Data/pixmaps/AutoScan/*.{gif,png,xpm}
cp -R Data/pixmaps/AutoScan/* %{buildroot}%{_datadir}/pixmaps/%{name}
install -m 644 Data/sounds/AutoScan/redalert.ogg %{buildroot}%{_datadir}/sounds/%{name}
install -m 644 Data/pixmaps/AutoScan/AutoScan.png %{buildroot}%{_iconsdir}


#menu
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): command="%{_sbindir}/AutoScan_Agent" icon="networking_configuration_section.png" needs="x11" \
title="%{name}" longtitle="Utility for network exploration" section="System/Configuration/Networking" \
xdg="true"
EOF

# xdg
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_sbindir}/AutoScan_Agent
Icon=networking_configuration_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration-Networking;Settings;Network;
EOF


%clean
rm -rf %{buildroot}


%post
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_datadir}/apps/%{name}/AutoScan.schemas &>/dev/null
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%doc Data/doc/AutoScan/*
%_sbindir/*
%{_datadir}/apps/%{name}
%{_datadir}/sounds/%{name}
%{_iconsdir}/*
%{_menudir}/%{name}
%{_datadir}/applications/
%defattr(644,root,root,755)
%{_datadir}/pixmaps/%{name}



%changelog

* Thu Aug 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.99-4mdv2007.0
- fix buildrequires (to have it on x86_64)
- add buildrequires libvorbis-devel net-snmp-devel

* Wed Aug 02 2006 Lenny Cartier <lenny@mandriva.com> 0.99-3mdv2007.0
- xdg
- use default icon
- various fixes

* Thu Jun 15 2006 Lenny Cartier <lenny@mandriva.com> 0.99-2mdv2007.0
- rebuild

* Tue Mar 28 2006 Guillaume Bedot <littletux@mandriva.org> 0.99-1mdk
- 0.99
- fixed wrong permissions on %_menudir
- fixed changed binary name
- rpmbuildupdate-able
- %mkrel
- some other fixes

* Sun Sep 11 2005 Emmanuel Andry <eandry@free.fr> 0.97.1b-1mdk
- New version
- Using parts of original spec file

* Sat Apr 09 2005 Emmanuel Andry <eandry@free.fr> 0.95-3mdk
- Requires firefox instead of mozilla (Bug #15359)

* Mon Apr 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.95-2mdk
- Rebuild for libsmbclient

* Tue Mar 22 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- from thierry@fdl.ath.cx

